Mad Level Manager

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events
Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Events | List of all members
MadLevelManager.MadLevelAbstractLayout Class Referenceabstract
Inheritance diagram for MadLevelManager.MadLevelAbstractLayout:

## Public Types
enum | TwoStepActivationType { Disabled, OnlyOnMobiles, Always }
enum | LoadLevel { Immediately, WithDelay, SendMessage }
enum | OnMobileBack { LoadPreviousLevel, LoadSpecifiedLevel }
enum | LookLevelType { FirstLevel, LastUnlocked, LastCompleted }

## Public Member Functions
delegate void | IconActivationEvent (MadLevelIcon icon, string levelName)
abstract MadLevelIcon | GetIcon (string levelName)
| Gets the icon representation for given level name. More...
MadLevelIcon | GetFirstIcon ()
| Gets the icon representation for the first level (in order). More...
MadLevelIcon | GetLastIcon ()
| Gets the icon representation for the last level (in order). More...
MadLevelIcon | GetLastCompletedIcon ()
| Gets the last completed level icon in current group or null if cannot be found. More...
MadLevelIcon | GetLastUnlockedIcon ()
| Gets last unlocked icon or null if cannot be found. More...
MadLevelIcon | GetActiveIcon ()
| Gets the currently active icon or More...
abstract MadLevelIcon | FindClosestIcon (Vector3 position)
| Finds the closest level icon to given position or More...
MadLevelIcon | GetNextIcon (MadLevelIcon icon)
MadLevelIcon | GetPreviousIcon (MadLevelIcon icon)
MadLevelIcon[] | GetAllIcons ()
| Gets all active icons available in the layout. More...
abstract void | LookAtIcon (MadLevelIcon icon)
| Looks at given icon; More...
bool | LookAtLevel (string levelName)
| Looks at level. More...
bool | LookAtLastPlayedLevel ()
| Looks at last played level icon. More...
void | Activate (MadLevelIcon icon)
Public Member Functions inherited from MadLevelManager.MadNode
T | CreateChild< T > (string name)
T | CreateChild< T > (string name, T template)
MadNode | CreateChild (string name, GameObject template)
T | FindParent< T > ()

## Public Attributes
MadLevelIcon | iconTemplate
bool | lookAtLastLevel = true
LookLevelType | lookAtLevel = LookLevelType.FirstLevel
TwoStepActivationType | twoStepActivationType = TwoStepActivationType.Disabled
LoadLevel | loadLevel = LoadLevel.Immediately
float | loadLevelLoadLevelDelay = 1.5f
GameObject | loadLevelMessageReceiver
string | loadLevelMessageName
bool | loadLevelMessageIncludeChildren
bool | onIconActivatePlayAudio
AudioClip | onIconActivatePlayAudioClip
float | onIconActivatePlayAudioVolume = 1
bool | onIconDeactivatePlayAudio
AudioClip | onIconDeactivatePlayAudioClip
float | onIconDeactivatePlayAudioVolume = 1
bool | onIconActivateMessage
GameObject | onIconActivateMessageReceiver
string | onIconActivateMessageMethodName = "OnIconActivate"
bool | onIconActivateMessageIncludeChildren
bool | onIconDeactivateMessage
GameObject | onIconDeactivateMessageReceiver
string | onIconDeactivateMessageMethodName = "OnIconDeactivate"
bool | onIconDeactivateMessageIncludeChildren
bool | handleMobileBackButton = true
OnMobileBack | handleMobileBackButtonAction = OnMobileBack.LoadPreviousLevel
string | handleMobileBackButtonLevelName
MadLevelConfiguration | configuration
int | configurationGroup = 0
bool | fullyInitialized
Public Attributes inherited from MadLevelManager.MadNode
bool | managed

## Protected Member Functions
virtual void | Update ()
virtual void | OnEnable ()
virtual void | Start ()
MadLevelIcon | CreateIcon (Transform parent, string name, MadLevelIcon template)

## Events
IconActivationEvent | onIconActivate
IconActivationEvent | onIconDeactivate

## Additional Inherited Members
Properties inherited from MadLevelManager.MadNode
static bool | Instantiating`[get]`

## Member Function Documentation

abstract MadLevelIcon MadLevelManager.MadLevelAbstractLayout.FindClosestIcon | ( | Vector3 | position | ) |
| pure virtual

Finds the closest level icon to given position or

`null` if no icons found.

Returns
  The closest level icon.

Parameters

  position | The position.

Implemented in MadLevelManager.MadLevelGridLayout, and MadLevelManager.MadLevelFreeLayout.

MadLevelIcon MadLevelManager.MadLevelAbstractLayout.GetActiveIcon | ( |  | ) |

Gets the currently active icon or

`null` if no icon is active.

Returns
  The currently active icon.

MadLevelIcon [] MadLevelManager.MadLevelAbstractLayout.GetAllIcons | ( |  | ) |

Gets all active icons available in the layout.

Returns

MadLevelIcon MadLevelManager.MadLevelAbstractLayout.GetFirstIcon | ( |  | ) |

Gets the icon representation for the first level (in order).

Returns
  The first level icon.

abstract MadLevelIcon MadLevelManager.MadLevelAbstractLayout.GetIcon | ( | string | levelName | ) |
| pure virtual

Gets the icon representation for given level name.

Returns
  The level icon or `null` if not found.

Parameters

  levelName | Level name.

Implemented in MadLevelManager.MadLevelGridLayout, and MadLevelManager.MadLevelFreeLayout.

MadLevelIcon MadLevelManager.MadLevelAbstractLayout.GetLastCompletedIcon | ( |  | ) |

Gets the last completed level icon in current group or null if cannot be found.

Returns

MadLevelIcon MadLevelManager.MadLevelAbstractLayout.GetLastIcon | ( |  | ) |

Gets the icon representation for the last level (in order).

Returns
  The last level icon.

MadLevelIcon MadLevelManager.MadLevelAbstractLayout.GetLastUnlockedIcon | ( |  | ) |

Gets last unlocked icon or null if cannot be found.

Returns

abstract void MadLevelManager.MadLevelAbstractLayout.LookAtIcon | ( | MadLevelIcon | icon | ) |
| pure virtual

Looks at given icon;

Parameters

  icon | Icon.

Implemented in MadLevelManager.MadLevelGridLayout, and MadLevelManager.MadLevelFreeLayout.

bool MadLevelManager.MadLevelAbstractLayout.LookAtLastPlayedLevel | ( |  | ) |

Looks at last played level icon.

Returns
  true if last level were found

bool MadLevelManager.MadLevelAbstractLayout.LookAtLevel | ( | string | levelName | ) |

Looks at level.

Parameters

  levelName | Level name.

The documentation for this class was generated from the following file:

- Assets/Mad Level Manager/Scripts/Base/Layouts/MadLevelAbstractLayout.cs